Subject: Re: [PATCH 1/2] remote: add camel-cased *.tagOpt key, like clone

From: Junio C Hamano <[email-masked]>
Date: Thu, 25 Feb 2021 12:00:40 -0800

Ævar Arnfjörð Bjarmason <[email-masked]> writes:

> I'm not quite sure what to make of this feedback in general. That you'd
> like the bugfix but we shouldn't bother with a regression test, or that
> we shouldn't bother with the fix at all?

I like the style update to make the callers use the canonical case
(even though they do not have to), but the test that inspects the
cases in the resulting configuration file may be too strict.

> But I don't agree that we should feel free to munge user config files
> within the bound of valid config syntax when we edit these files for
> users.

I agree with your sentiment in principle.  I just wanted to make
sure that future test writers agree with the principle, and also
that they understand there are cases where end-user input may not
match the output (e.g. when running "git config Vari.Able value" to
an existing configuration file that has "[vari] ous = true", it may
be less desirable to add "[Vari] Able = value" than to add to the
existing "[Vari] section a new line "Able = value").